aboutsummaryrefslogtreecommitdiffstats
path: root/community/pdns-recursor/pdns-recursor.initd
diff options
context:
space:
mode:
authorOlivier Mauras <olivier@mauras.ch>2016-08-31 16:46:52 +0200
committerCarlo Landmeter <clandmeter@gmail.com>2016-08-31 17:06:37 +0200
commit5bbcf5621821932748027b7499a107741cdd34f6 (patch)
tree7357fec9c159be0cbb5617acd7ae8f364d1c25ed /community/pdns-recursor/pdns-recursor.initd
parent82b5d172b33f1c9d7ac3f4c55b5513511a5db651 (diff)
downloadaports-5bbcf5621821932748027b7499a107741cdd34f6.tar.bz2
aports-5bbcf5621821932748027b7499a107741cdd34f6.tar.xz
testing/pdns{-recursor}: Move to community
Diffstat (limited to 'community/pdns-recursor/pdns-recursor.initd')
-rw-r--r--community/pdns-recursor/pdns-recursor.initd27
1 files changed, 27 insertions, 0 deletions
diff --git a/community/pdns-recursor/pdns-recursor.initd b/community/pdns-recursor/pdns-recursor.initd
new file mode 100644
index 0000000000..80e851d064
--- /dev/null
+++ b/community/pdns-recursor/pdns-recursor.initd
@@ -0,0 +1,27 @@
+#!/sbin/openrc-run
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-dns/pdns/files/pdns,v 1.10 2007/05/07 20:19:18 swegener Exp $
+
+name=pdns-recursor
+daemon=/usr/sbin/pdns_recursor
+recursor_control=/usr/bin/rec_control
+
+extra_started_commands="dump reload"
+
+depend() {
+ need net
+ after firewall
+}
+
+start() {
+ ebegin "Starting PowerDNS recursor"
+ ${daemon}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping PowerDNS recursor"
+ ${recursor_control} quit &>/dev/null
+ eend $?
+}